Cannot install latest ATI Catalyst driver in W7 on MBP

Discussion in 'Windows, Linux & Others on the Mac' started by slapple, Feb 2, 2013.

  1. slapple, Feb 2, 2013
    Last edited: Feb 2, 2013

    macrumors 6502

    Jul 25, 2008
    I have a 2011 MBP with the ATI Radeon HD 6770M. I have Boot Camp installed with Windows 7 64-bit.

    Up until today, I was just using the latest Boot Camp drivers, which include an ATI Radeon driver dated 1/4/2011. But then I got a couple of BSODs in Windows 7 while just browsing with Firefox. The crashes were seemingly related to the video drivers, so I thought I should update to the latest ATI Catalyst drivers.

    I went to the ATI web site, and it told me to download the AMD Mobility Radeon Driver Verification Tool. I installed that, and it said: "Your computer does not contain a proper graphics adapter."

    Seems like some people have seen that message before, and others have suggested to just download the latest drivers and install them. So I downloaded this and installed it:

    The installation seemed to go well, but then even after rebooting, Device Manager said the ATI Radeon HD 6770M driver was dated 1/4/2011. So the driver never got updated. I uninstalled that driver, then re-ran the ATI Catalyst installation program, and it still installed the 1/4/2011 driver.

    Why can't I get the latest driver installed?


    After spending a few hours uninstalling and reinstalling video drivers and then doing a repair on my Boot Camp drivers, I finally got the latest Catalyst drivers installed and working. You need the mobility version which you can download from,3.html
  2. macrumors newbie

    Sep 17, 2012
    Awesome! The update worked perfectly without any bsods thus far.

    Thank you so much! :D

Share This Page